Bug 124116 - Track-changes Hebrew & Arabic punctuation shifted from correct position on regular text
Summary: Track-changes Hebrew & Arabic punctuation shifted from correct position on re...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 61444
Blocks: RTL-CTL Track-Changes
  Show dependency treegraph
 
Reported: 2019-03-16 10:42 UTC by Eyal Rozenberg
Modified: 2019-03-23 11:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example manfistation and non-manifestation of this issue (9.61 KB, application/vnd.oasis.opendocument.text)
2019-03-16 10:42 UTC, Eyal Rozenberg
Details
Screenshot of the Arabic lines (13.46 KB, image/png)
2019-03-18 11:40 UTC, Khaled Hosny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2019-03-16 10:42:19 UTC
Created attachment 150012 [details]
Example manfistation and non-manifestation of this issue

Hebrew punctuation mostly overlays the glyph it's applied to - with lines or dots above, below or inside the glyph. This most works fine in LO; and it also works fine when you're in Track Changes mode - the it's simply given a different color and rendered the same way.

But - if you mix the two, things go wrong: If you add a Hebrew punctuation mark in Track Changes to a letter that's not in Track Changes, or the other way around: A non-Track-Changes punctuation mark to a track changes letter - the punctuation mark gets rendered _after_ the letter.

See attachment for two examples - with a Mapiq (=Dagesh) mark and with a Patah.

Note that this does _not_ seem to occur with Arabic, although I haven't checked that thoroughly.
Comment 1 Khaled Hosny 2019-03-17 22:08:12 UTC
The mark placement is broken in Arabic as well, and both issues are most likely another manifestation of bug 61444.
Comment 2 Eyal Rozenberg 2019-03-17 23:54:33 UTC
(In reply to Khaled Hosny (inactive) from comment #1)
> The mark placement is broken in Arabic as well, and both issues are most
> likely another manifestation of bug 61444.

Can you post an example document in which this bug manifests for Arabic text?
Comment 3 Khaled Hosny 2019-03-18 11:39:36 UTC
(In reply to Eyal Rozenberg from comment #2)
> (In reply to Khaled Hosny (inactive) from comment #1)
> > The mark placement is broken in Arabic as well, and both issues are most
> > likely another manifestation of bug 61444.
> 
> Can you post an example document in which this bug manifests for Arabic text?

In the example you attached, the Arabic mark position is different between the first and the next two lines (might not be as visible in all fonts).
Comment 4 Khaled Hosny 2019-03-18 11:40:09 UTC
Created attachment 150045 [details]
Screenshot of the Arabic lines
Comment 5 Eyal Rozenberg 2019-03-18 12:04:13 UTC
(In reply to Khaled Hosny (inactive) from comment #3)
> In the example you attached, the Arabic mark position is different between
> the first and the next two lines (might not be as visible in all fonts).

Yeah, you're right - it is shifted in position, although not as extremely as with the Hebrew. Can you CONFIRM, then?
Comment 6 Xisco Faulí 2019-03-22 11:27:16 UTC
Also reproduced in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 Khaled Hosny 2019-03-22 19:22:36 UTC
(In reply to Xisco Faulí from comment #6)
> Also reproduced in
> 
> LibreOffice 3.3.0 
> OOO330m19 (Build:6)
> tag libreoffice-3.3.0.4

Yes, it is basically the same thing as bug 61444 which is inherited from OOo. I’m inclined to mark it as duplicate, as I don’t think there is way to fix it without at least fixing bug 61444 first.
Comment 8 Eyal Rozenberg 2019-03-22 20:13:14 UTC
(In reply to Khaled Hosny (inactive) from comment #7)
> Yes, it is basically the same thing as bug 61444 which is inherited from
> OOo. I’m inclined to mark it as duplicate, as I don’t think there is way to
> fix it without at least fixing bug 61444 first.

I'm marking it as dependent for now. It is not 100% clear to me that this will automagically be resolved by a resolution of bug 61444, and anyway it's significant enough to test separately after bug 61444 is resolved.